List compute disk images
curl --request GET \
--url https://api.example.com/api/v2/regions/{regionID}/images \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/regions/{regionID}/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/regions/{regionID}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"metadata": {
"id": "a64f9269-36e0-4312-b8d1-52d93d569b7b",
"name": "ubu2204-v1.25.6-gpu-525.85.05-7ced4154",
"creationTime": "2023-02-22T12:04:13Z"
},
"spec": {
"architecture": "x86_64",
"sizeGiB": 10,
"virtualization": "virtualized",
"os": {
"kernel": "linux",
"family": "debian",
"distro": "ubuntu",
"variant": "server",
"codename": "noble",
"version": "24.04"
},
"softwareVersions": {
"kubernetes": "v1.25.6"
},
"gpu": {
"vendor": "NVIDIA",
"driver": "525.85.05",
"models": [
"A100",
"H100",
"H200"
]
}
},
"status": {
"state": "ready"
}
}
]{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "not_found",
"error_description": "the requested resource does not exist",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Images
List compute disk images
GET
/
api
/
v2
/
regions
/
{regionID}
/
images
List compute disk images
Authorizations
Operation requires OAuth 2.0 bearer token authentication.
Path Parameters
The region ID. A region ID.
Query Parameters
Allows resources to be filtered by organization.
Filter for images owned by the organization specified, or available (either globally or to the organization given).
Available options:
owned, available Filter for images by status
The images's lifecycle state.
Available options:
pending, creating, ready, failed Response
A list of images that are compatible with this platform.
This metadata is for resources that just exist, and don't require any provisioning and health status, but benefit from a standardized metadata format.
Show child attributes
Show child attributes
An image.
Show child attributes
Show child attributes
The image's status.
Show child attributes
Show child attributes
Was this page helpful?
⌘I